import os
from setuptools import setup


README = open(os.path.join(os.path.dirname(__file__), 'README.rst')).read()

# allow setup.py to be run from any path
os.chdir(os.path.normpath(os.path.join(os.path.abspath(__file__), os.pardir)))

setup(
    name = 'Django-NMCC-Templates', 
    version = '4', 
    packages = ['nmcc_templates'], 
    include_package_data = True, 
    install_requires = ['Django < 1.9',
        'Django-NMSU-Templates >= 2'],
    dependency_links = [
        'https://bitbucket.org/notequal/django-nmsu-templates/downloads/'], 
    license = 'BSD License', 
    description = 'Provides the base templates for the NMCC Weather website.',
    long_description = README,
    url = 'http://weather.nmsu.edu/',
    author = 'Stanley Engle',
    author_email = 'sengle@nmsu.edu',
    classifiers = [
            'Environment :: Web Environment',
            'Framework :: Django',
            'Intended Audience :: Developers',
            'License :: OSI Approved :: BSD License', 
            'Operating System :: OS Independent',
            'Programming Language :: Python',
            'Programming Language :: Python :: 2.7',
            'Topic :: Internet :: WWW/HTTP',
            'Topic :: Internet :: WWW/HTTP :: Dynamic Content',
    ],
)


